Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002964 [JEDI VCL] 00 JVCL Components minor always 2005-05-18 21:41 2005-10-19 15:36
Reporter anonymous View Status public  
Assigned To jfudickar
Priority normal Resolution fixed  
Status resolved   Product Version 3.00
Summary 0002964: TJvAppIniFileStorage.PathExists fails if the path is a simple one
Description If you call AppStorage.PathExists with a simple path e.g.
  AppStorage.PathExists('EditorOptions')
the function returns false even if a section 'EditorOptions' exists. As you see in the code below the reason is that it that TJvCustomAppIniStorage.PathExistsInt searches for Section+'\'+Key.


function TJvCustomAppIniStorage.PathExistsInt(const Path: string): Boolean;
var
  Section: string;
  Key: string;
begin
  ReloadIfNeeded;
  SplitKeyPath(Path, Section, Key);
  Result := IniFile.SectionExists(Section + '\' + Key);
end;

Why shouldn't this function be simply?:

function TJvCustomAppIniStorage.PathExistsInt(const Path: string): Boolean;
begin
  ReloadIfNeeded;
  Result := IniFile.SectionExists(Path);
end;

Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0007596)
jfudickar (developer)
2005-07-24 08:25

Fixed in cvs. Little bit different then suggested. Please have a look for it

- Issue History
Date Modified Username Field Change
2005-05-18 21:41 anonymous New Issue
2005-07-24 08:24 jfudickar Status new => assigned
2005-07-24 08:24 jfudickar Assigned To => jfudickar
2005-07-24 08:25 jfudickar Note Added: 0007596
2005-07-24 08:25 jfudickar Status assigned => feedback
2005-10-19 15:36 jfudickar Status feedback => resolved
2005-10-19 15:36 jfudickar Resolution open => fixed


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker